#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define libsuffix %(echo %{_lib}|%__sed 's/^lib//')
Name:           vmmlib
Version:        1.6.2
Release:        1.1
Summary:        A templatized C++ vector and matrix math library
Group:          Development/Libraries/C and C++
License:        BSD-3-Clause
URL:            http://vmml.github.io/vmmlib/
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM CMakeLists.diff avvissu@yandex.ru -- Support cblas
#Patch0:         CMakeLists.diff
BuildRequires:  gcc-c++ cmake lapack-devel f2c glibc-devel pkgconfig blas-devel 
#BuildRequires:  cblas-devel
BuildRequires:  lapack
#BuildRequires:  libxml2-2
BuildRoot:      %{_tmppath}/build-%{name}-%{version}  

%description
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains, header files, and libraries needed to
develop application that use %{name}

%prep
%setup -q -n "%{name}-%{version}"  
#%patch0 

%build
cmake . \
      -DLIB_SUFFIX="%{libsuffix}" 

make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-, root, root)
%doc README.md AUTHORS LICENSE.txt ACKNOWLEDGEMENTS
%exclude %{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/CMake
%{_datadir}/%{name}/CMake/*.cmake

%changelog
* Sat Dec 21 2013 avvissu@yandex.ru
- Initial Release 1.6.2
